<?PHP
////++++++++++++++++ CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("Conections/$VpnEn.php");

$Cve_Modulo = "CMOD201506100116";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];


	/////////Identificar personalización 1 
		$sqlP1 = mysql_query("select * from wms_personaliza1 where ID='1'");
		if (mysql_numrows($sqlP1)==0) echo "";
		else{
		$registroP1=mysql_fetch_array($sqlP1);
		}
		if (mysql_numrows($sqlP1)>0)
		{
		$BBackg=$registroP1["BODY_BACKGROUND_IMG"];
		}
	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
		
	/////////Identificar personalización 3
		$sqlP3 = mysql_query("select * from wms_personaliza3 where ID='1'");
		if (mysql_numrows($sqlP3)==0) echo "";
		else{
		$registroP3=mysql_fetch_array($sqlP3);
		}
		if (mysql_numrows($sqlP3)>0)
		{
		$FuTi_Form=$registroP3["FUENTE_TITULOFORMULARIO"];
		$TaTi_Form=$registroP3["TAMANO_TITULOFORMULARIO"];
		$BgTi_Form=$registroP3["COLOR_TITULOFORMULARIO"];
		$FuCu_Form=$registroP3["FUENTE_FORMULARIO"];
		$TaCu_Form=$registroP3["TAMANO_FORMULARIO"];
		$BgCu_Form=$registroP3["COLOR_FORMULARIO"];
		$FonTi_Form=$registroP3["BG_TABLATITULO"];
		$FonCi_Form=$registroP3["BG_TABLACUERPO"];
		$FonSe_Form=$registroP3["BG_TABLASEPARACION"];
		$Borde_Form=$registroP3["BORDER_CAMPO"];
		$CamDe_Form=$registroP3["BG_CAMPODESHABILITADO"];
		$ClaBtn=$registroP3["CLASE_BOTON"];
		}
		
	/////////Identificar personalización 4
		$sqlP4 = mysql_query("select * from wms_personaliza4 where ID='1'");
		if (mysql_numrows($sqlP4)==0) echo "";
		else{
		$registroP4=mysql_fetch_array($sqlP4);
		}
		if (mysql_numrows($sqlP4)>0)
		{
		$Bord_Tabl=$registroP4["BG_BORDE"];
		$Fond_Tabl=$registroP4["BG_FONDOGRALTABLA"];
		$BgF1_Tabl=$registroP4["BG_FILA_1"];
		$BgF2_Tabl=$registroP4["BG_FILA_2"];
		$FTit_Tabl=$registroP4["FUENTE_TABLATITULO"];
		$TTit_Tabl=$registroP4["TAMANO_FUENTETABLATITULO"];
		$CFTi_Tabl=$registroP4["COLOR_FUENTETABLATITULO"];
		$FEnc_Tabl=$registroP4["FUENTE_TABLAENCA"];
		$TEnc_Tabl=$registroP4["TAMANO_FUENTETABLAENCA"];
		$CEnc_Tabl=$registroP4["COLOR_FUENTETABLAENCA"];
		$FCue_Tabl=$registroP4["FUENTE_TABLACUER"];
		$TCue_Tabl=$registroP4["TAMANO_FUENTETABLACUER"];
		$CCue_Tabl=$registroP4["COLOR_FUENTETABLACUER"];
		}		
		
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?USUkp=$UsuEn&IdDeAcc=$IDSeEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
	
	/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&' target='_parent'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
		
		//////HORA y FECHA/////
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("d/m/Y");
			
				////identificar cuenta 
					$sqlCR2 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
					if (mysql_numrows($sqlCR2)==0) echo "";
					else{
					$registroCR2=mysql_fetch_array($sqlCR2);
					}
					if (mysql_numrows($sqlCR2)>0)
					{
					$CuentaCR1=$registroCR2["CVE_CUENTA"];
					$NomBodCR2=$registroCR2["NOMBRE_CUENTA"];
					$ClavBodCR2=$registroCR2["CVE_BODEGA"];
					
					}			
			
				////identificar bodega
					$sqlCR3 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$ClavBodCR2'");
					if (mysql_numrows($sqlCR3)==0) echo "";
					else{
					$registroCR3=mysql_fetch_array($sqlCR3);
					}
					if (mysql_numrows($sqlCR3)>0)
					{
					$BodBodCR1=$registroCR3["CVE_BODEGA"];
					$NomBodegaCR2=$registroCR3["NOMBRE_BODEGA"];
					}

////++++++++++++++ FIN CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<?PHP echo"<link rel='stylesheet' href='cssBtn/style_Btns.css'>"; ?>
<link rel="shortcut icon" href="../WMS_Resources/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
body {
	background-image: url(../WMS_Resources/images/MainBkgr/<?PHP echo $BBackg; ?>);
}

.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: <?PHP echo $FuCu_Form; ?>;
	font-size:<?PHP echo $TaCu_Form; ?>px;
	color:<?PHP echo $BgCu_Form; ?>;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
</script>

<!-- Termina Validador de Inactividad -->
</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()">

<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<Br><Br><Br><Br><Br><Br><Br><Br>
<?PHP


		////Se sube todo el Archivo .CSV
		if (isset($_FILES['file']))
		{	
			$file=$_FILES['file']['tmp_name'];
			
			$handle = fopen($file,"r");
			$handle2 = fopen($file,"r");
		
		//////////////////////////////////////////////////////////////////////////////////////////////////////
		////Se Valida si se selecciona un Archivo de tipo .CSV 	
			$explode_name = explode('.',$_FILES['file']['name']);
			if($explode_name[1] == 'csv'){
			  $csv_file = true;
			  $ValExtension="OK";
			}
			else{
			  $csv_file = false;
			  $ValExtension="NO";
			}  
			
		if ($ValExtension=="OK")
		{
		
		//////////////////////////////////////////////////////////////////////////////////////////////////////////////////
		////Aqui adentro va toro el Proceso
		
		while(($fileop = fgetcsv($handle,1000, ",")) !== false)
			{
				
				$NoDocCSV=$fileop[0];
				$Refe1CSV=$fileop[1];
				$Refe2CSV=$fileop[2];
				$PedExCSV=$fileop[3];
				$PedSoCSV=$fileop[4];
				$TipExCSV=$fileop[5];
				$TipSaCSV=$fileop[6];
				$DestiCSV=$fileop[7];
				$CoSkuCSV=$fileop[8];
				$CXSurCSV=$fileop[9];
				$ObserCSV=$fileop[10];

				////Formateando las cadenas, quitando los espacios en blanco Necesarios
					$NoDocCSV = trim($NoDocCSV);
					$Refe1CSV = trim($Refe1CSV);
					$Refe2CSV = trim($Refe2CSV);
					$PedExCSV = trim($PedExCSV);
					$PedSoCSV = trim($PedSoCSV);
					$TipExCSV = trim($TipExCSV);
					$TipSaCSV = trim($TipSaCSV);
					$DestiCSV = trim($DestiCSV);
					$CoSkuCSV = trim($CoSkuCSV);
					$CXSurCSV = trim($CXSurCSV);
					$ObserCSV = trim($ObserCSV);
					
			$CuentaRegTotal=$CuentaRegTotal+1;	
								
			////Identificar si el Campo # de Documento esta Vacio - 1				
				if ($NoDocCSV=="") 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docsu_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docsu_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','N/A','Falta ingresar el No. de Documento dentro del reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
						
				}
				else
				{
					
			////Identificar si el Campo Pedimento de Extracción esta Vacio - 2				
				if ($PedExCSV=="") 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docsu_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docsu_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','N/A','Falta ingresar el No. de Pedimento de Extración (G1) dentro del reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
						
				}
				else
				{					

			////Identificar si el Campo Pedimento de Ingreso (solicitado a surtir) esta Vacio - 3				
				if ($PedSoCSV=="") 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docsu_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docsu_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','N/A','Falta ingresar el No. de Pedimento de Ingreso (A4) dentro del reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
						
				}
				else
				{	
				
			////Identificar si el Campo Tipo de Extracción esta Vacio - 4				
				if ($TipExCSV=="") 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docsu_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docsu_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','N/A','Falta ingresar el Tipo de Extracción dentro del reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
						
				}
				else
				{				
									
				////Identificar si el Campo TipoSalida esta Vacio - 5			
				if ($TipSaCSV=="") 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docsu_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docsu_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','N/A','Falta ingresar el Tipo de Salida dentro del reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{
					
			////Identificar si el Campo CveDestino esta Vacio - 6		
				if ($DestiCSV=="") 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docsu_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docsu_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','N/A','Falta ingresar la Clave del Destino dentro del reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{
					
				////Identificar si el Campo Codigo Sku esta Vacio - 7
				if ($CoSkuCSV=="") 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docsu_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docsu_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','N/A','Falta ingresar el código SKU dentro del reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{
				
				////Identificar si el Campo Cantidad por Surtir esta Vacio - 8	
				if ($CXSurCSV=="") 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docsu_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docsu_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','N/A','Falta ingresar la cantidad a Surtir dentro del reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{
			
			////Identificar si el Documento de Surtido (Orden de Embarque) NO Existe dentro del Sistema - 9
				$sql1 = mysql_query("select NO_DOCUMENTO from  tabla_docsurtido WHERE CVE_CUENTA='$CuentaCR1' AND NO_DOCUMENTO='$NoDocCSV'");
						
				if (mysql_numrows($sql1)<>0) 
				{				
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docsu_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docsu_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','$NoDocCSV','El No. de Documento que Intentas Interfazar ya existe dentro del sistema. Reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{
					
			////Identificar si el Tipo de Extracción Existe dentro del Catalogo del WMS - 10
				$sql3 = mysql_query("select CVE_TIPOALMACEN from wms_configura_tipoalmacen WHERE CVE_CUENTA='$CuentaCR1' AND CVE_TIPOALMACEN='$TipExCSV'");					
				if (mysql_numrows($sql3)==0) 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docsu_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docsu_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','$TipExCSV','El Tipo de Extracción que deseas Ejecutar no se encuentra dado de Alta dentro del Sistema. Reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{

			////Identificar si el Tipo de Salida Existe dentro del Catalogo del WMS - 11
				$sql3 = mysql_query("select CVE_SALIDA from wms_configura_salida WHERE CVE_CUENTA='$CuentaCR1' AND CVE_SALIDA='$TipSaCSV'");					
				if (mysql_numrows($sql3)==0) 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docsu_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docsu_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','$TipSaCSV','El Tipo de Salida que deseas Ejecutar no se encuentra dado de Alta dentro del Sistema. Reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{					
					
			////Identificar si la Cve del Destino Existe dentro del Catalogo de Destios/Clientes - 12
				$sql2 = mysql_query("select CVE_DESTINO from tabla_destinosclientes WHERE CVE_CUENTA='$CuentaCR1' AND CVE_DESTINO='$DestiCSV'");				
				if (mysql_numrows($sql2)==0) 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docsu_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docsu_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','$DestiCSV','La Clave de Destino que deseas Asociar al Pedido no se encuentra dada de Alta dentro del Sistema. Reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{
				
			////Identificar si el codigo Sku Existe dentro del Catalogo de Articulos - 13
				$sql3 = mysql_query("select SKU from tabla_altaproducto WHERE CUENTA='$CuentaCR1' AND SKU='$CoSkuCSV'");					
				if (mysql_numrows($sql3)==0) 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docsu_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docsu_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','$CoSkuCSV','El código Sku que deseas Surtir no se encuentra dado de Alta dentro del Sistema. Reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{
					
			////Identificar si la Cantidad por Surtir es Menor a "0" - 14
				if ($CXSurCSV <= "0")
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docsu_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docsu_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','$CXSurCSV','La cantidad que deseas Surtir es menor o igual a 0 (cero). Reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{
			
///************************* Inicia Validadores del Pedimento de Extracción (G1) *************************///
			
				////Logica contenga puros Numeros (Pedimento de Extracción)
    			if (ctype_digit($PedExCSV)) 
				{
					$Detecta15 = "OK_15";
    			} 
				else 
				{
					$Detecta15 = "ERROR_15";
    			}
				
			////Identificar que el NO de Pedimento contecga puros Numeros - 15
				if ($Detecta15 == "ERROR_15") 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docsu_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docsu_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','$NoPediCSV','El Número de Pedimento de Extracción (G1) contiene letras dentro del reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{	
			
			///Obtener la longitud de valores dentro del Pedimento de Extracción (G1) 
				$LogValPedExt = strlen($PedExCSV);
				
			////Identificar si el Campo Lado esta Vacio - 16
				if ($LogValPedExt <> "15") 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docsu_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docsu_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','$PedExCSV','La Longuitud de caracteres dentro del Pedimento de Extracción (G1) se encuentra fuera de los parametros autorizados por el SAT, favor de revisar el reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{	
				
			/// Validar la primer sección del Pedimento de Extracción (G1) 
					$FechaValPed=date("Y");
					$FechaValPed = substr($FechaValPed, -2, 2);
					$PedExtS1PG = substr($PedExCSV, -15, 2);
											
			///// Validar la primer sección del Pedimento de Extracción (G1) (Primeros 2 digitos de todo el Pedimento de Extracción (G1) ) - 17
				if ($PedExtS1PG < $FechaValPed) 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docsu_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docsu_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','$PedExCSV','El año de creación del Pedimento de Extracción (G1) es mas antiguo que el año en curso. Consultar la incidencia dentro del reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{	
				
			$PedExtS2PG = substr($PedExCSV, -13, 2);
					
			////Identificar si la Cve de Aduana Existe dentro del Catalogo de Articulos - 18
				$sql3 = mysql_query("select NOMBRE_ADUANA from tabla_aduanas WHERE CVE_CUENTA='$CuentaCR1' AND CVE_ADUANA='$PedExtS2PG'");					
				if (mysql_numrows($sql3)==0) 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docsu_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docsu_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','$PedExtS2PG','El número de la aduana contenida en el Pedimento de Extracción (G1) dentro Reglon $CuentaRegTotal no se encuentra autorizada por la Secretaria de Administración Tributaria (SAT)','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{	
				
				$FechaValPed2=date("Y");
				///Devuelve el ultimo digito del año
				$UltDigitoAñoPedimento = substr($FechaValPed2, -1);///Devuelve el ultimo digito del año en el que se creo el Pedimento de Extracción (G1), tomando en cuenta la primer sección y/o los primros 2 digitos del numero de Pedimento de Extracción (G1) completo
					
				$PriDigitoFolAsignado = substr($PedExCSV, -7,1);///Devuelve el primer digito del numero de Pedimento de Extracción (G1) completo 

			////Identificar si el codigo Sku Existe dentro del Catalogo de Articulos - 19
				if ($UltDigitoAñoPedimento <> $PriDigitoFolAsignado) 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docsu_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docsu_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','$PriDigitoFolAsignado','El año en la asignación del folio es diferente al año de la creación del Pedimento de Extracción (G1) dentro Reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{	

///************************* Termina Validadores del Pedimento de Extracción (G1) *************************///	


///************************* Inicia Validadores del Pedimento de Ingreso (A4) *************************///
			
				////Logica contenga puros Numeros (Pedimento de Ingreso)
    			if (ctype_digit($PedSoCSV)) 
				{
					$Detecta20 = "OK_20";
    			} 
				else 
				{
					$Detecta20 = "ERROR_20";
    			}
				
			////Identificar que el NO de Pedimento contecga puros Numeros - 20
				if ($Detecta20 == "ERROR_20") 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docsu_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docsu_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','$NoPediCSV','El Número de Pedimento de Ingreso (A4) contiene letras dentro del reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{	
			
			///Obtener la longitud de valores dentro del Pedimento de Ingreso (A4) 
				$LogValPedIng = strlen($PedSoCSV);
				
			////Identificar si el Campo Lado esta Vacio - 21
				if ($LogValPedIng <> "15") 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docsu_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docsu_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','$PedSoCSV','La Longuitud de caracteres dentro del Pedimento de Ingreso (A4) se encuentra fuera de los parametros autorizados por el SAT, favor de revisar el reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{	
				
			/// Validar la primer sección del Pedimento de Ingreso (A4)
					$FechaValPed=date("Y");
					$FechaValPed = substr($FechaValPed, -2, 2);
					$PedIngS1PG = substr($PedSoCSV, -15, 2);
											
			///// Validar la primer sección del Pedimento de Ingreso (A4) (Primeros 2 digitos de todo el Pedimento de Ingreso (A4) ) - 22
				if ($PedIngS1PG < $FechaValPed) 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docsu_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docsu_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','$PedSoCSV','El año de creación del Pedimento de Ingreso (A4) es mas antiguo que el año en curso. Consultar la incidencia dentro del reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{	
				
			$PedIngS2PG = substr($PedSoCSV, -13, 2);
					
			////Identificar si la Cve de Aduana Existe dentro del Catalogo de Aduanas - 23
				$sql3 = mysql_query("select NOMBRE_ADUANA from tabla_aduanas WHERE CVE_CUENTA='$CuentaCR1' AND CVE_ADUANA='$PedIngS2PG'");					
				if (mysql_numrows($sql3)==0) 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docsu_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docsu_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','$PedIngS2PG','El número de la aduana contenida en el Pedimento de Ingreso (A4) dentro Reglon $CuentaRegTotal no se encuentra autorizada por la Secretaria de Administración Tributaria (SAT)','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{	
				
				$FechaValPed2=date("Y");
				///Devuelve el ultimo digito del año
				$UltDigitoAñoPedimento = substr($FechaValPed2, -1);///Devuelve el ultimo digito del año en el que se creo el Pedimento de Extracción (G1), tomando en cuenta la primer sección y/o los primros 2 digitos del numero de Pedimento de Ingreso (A4)) completo
					
				$PriDigitoFolAsignado = substr($PedSoCSV, -7,1);///Devuelve el primer digito del numero de Pedimento de Ingreso (A4) completo 

			////Identificar si el el año dentro del folio es igual al año de creación del Pedimento de Ingreso (A4) - 24
				if ($UltDigitoAñoPedimento <> $PriDigitoFolAsignado) 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docsu_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docsu_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','$PriDigitoFolAsignado','El año en la asignación del folio es diferente al año de la creación del Pedimento de Ingreso (A4) dentro Reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{	

///************************* Termina Validadores del Pedimento de Ingreso (A4) *************************///			
				
			////Activación del Validador	
				
				$CuentaRegExitosos=$CuentaRegExitosos+1;
				
			///Limpiando Variables
				$Detecta15 = "";
				$Detecta20 = "";
				
				}///24
				}///23
				}///22
				}///21
				}///20
				}///19
				}///18
				}///17
				}///16
				}///15
				}///14
				}///13
				}///12
				}///11
				}///10
				}///9
				}///8
				}///7
				}///6
				}///5
				}///4
				}///3
				}///2
				}///1
								
			}
		}
		else
		{
		$CuentaRegTotal="0";
		
				////Guardar Incidencia en la Bitacora
					
				//////HORA y FECHA/////
					$Hora=time();
					$HoraOK=date("H:i:s",$Hora);
					$Fecha=date("Y/m/d");
			
				////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
					$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docsu_csv"; 
					$libK = mysql_query($sqlIDK); 
					$rs_libK = mysql_fetch_assoc($libK); 
					$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
				////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
					$sqlGI = "insert into temporal_bitacora_docsu_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','N/A','No se selecciono un archivo de Tipo .csv','$UsuEn','$HoraOK','$Fecha')";
					$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
						
		echo "<script>alert('ATENCIÓN:\\nNo se selecciono un archivo de Tipo .csv\\nFavor de Corroborarlo.');</script>";
		}		
							
		if ($CuentaRegExitosos==$CuentaRegTotal)			
			{ ////Inicia If Validad Registros Exitosos											

			//// PROCESO GENERAL DE GUARDADO
			while(($fileop2 = fgetcsv($handle2,1000, ",")) !== false)
				{////Inicia del While general que guarda los Registros
					
					////Generador de Folio para la tabla_detalledocsur
					$sqlPTDD = "select max(ID) as ultimo_FOLIOPTDD from tabla_detalledocsur"; 
					$libPTDD = mysql_query($sqlPTDD); 
					$rs_libPTDD = mysql_fetch_assoc($libPTDD); 
					$id_nuevoPTDD = $rs_libPTDD['ultimo_FOLIOPTDD'] + 1;
				
					$NoDocCSV=$fileop2[0];
					$Refe1CSV=$fileop2[1];
					$Refe2CSV=$fileop2[2];
					$PedExCSV=$fileop2[3];
					$PedSoCSV=$fileop2[4];
					$TipExCSV=$fileop2[5];
					$TipSaCSV=$fileop2[6];
					$DestiCSV=$fileop2[7];
					$CoSkuCSV=$fileop2[8];
					$CXSurCSV=$fileop2[9];
					$ObserCSV=$fileop2[10];

					////Formateando las cadenas, quitando los espacios en blanco Necesarios
						$NoDocCSV = trim($NoDocCSV);
						$Refe1CSV = trim($Refe1CSV);
						$Refe2CSV = trim($Refe2CSV);
						$PedExCSV = trim($PedExCSV);
						$PedSoCSV = trim($PedSoCSV);
						$TipExCSV = trim($TipExCSV);
						$TipSaCSV = trim($TipSaCSV);
						$DestiCSV = trim($DestiCSV);
						$CoSkuCSV = trim($CoSkuCSV);
						$CXSurCSV = trim($CXSurCSV);
						$ObserCSV = trim($ObserCSV);
				
					////Hora y Fecha
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
					
					////Consultar la Descripcion del Producto por el Sku en la tabla_altaproducto
						$sql_5 = mysql_query("select DESCRIPCION from tabla_altaproducto WHERE CUENTA='$CuentaCR1' AND SKU='$CoSkuCSV'");
						if (mysql_numrows($sql_5)==0) echo "";
						else{
						$registro_5=mysql_fetch_array($sql_5);
						}
						if (mysql_numrows($sql_5)>0)
						{
						$Desc_5=$registro_5["DESCRIPCION"];
						}
						
					////Generador de # de Fila para la tabla_detalledocsur
					$sql_SF = "select max(FILA) as ultimo_FOLIO_SF from tabla_detalledocsur WHERE CVE_CUENTA='$CuentaCR1' AND NO_DOCUMENTO='$NoDocCSV'"; 
					$lib_SF = mysql_query($sql_SF); 
					$rs_lib_SF = mysql_fetch_assoc($lib_SF); 
					$id_nuevo_SF = $rs_lib_SF['ultimo_FOLIO_SF'] + 1;

					////Consulta que Guarda el Registro de Cada Ubicación en la tabla_prioridad
					$sql_GDD = mysql_query("INSERT INTO tabla_detalledocsur (ID,CVE_BODEGA,CVE_CUENTA,FILA,NO_DOCUMENTO,SKU,DESCRIPCION,LOTEPRODU,ESTADO_CALIDAD,CANT_X_SURTIR,ESTATUS,USUARIO_ALTA,HORA,FECHA) VALUES ('$id_nuevoPTDD','$BodBodCR1','$CuentaCR1','$id_nuevo_SF','$NoDocCSV','$CoSkuCSV','$Desc_5','$PedSoCSV','$TipSaCSV','$CXSurCSV','POR CONFIRMAR','$UsuEn','$HoraOK','$Fecha')");											
						
					} ////Fin del While general que guarda los Registros
				
	////*****************************Guardar el Registro del Documento******************************////
					////Generador de Folio para la tabla_docsurtido
						$sql_Fol = "select max(ID) as ultimo_FOLIO_Fol from tabla_docsurtido"; 
						$lib_Fol = mysql_query($sql_Fol); 
						$rs_lib_Fol = mysql_fetch_assoc($lib_Fol); 
						$id_nuevo_Fol = $rs_lib_Fol['ultimo_FOLIO_Fol'] + 1;
				
					////Hora y Fecha
						$Hora=time();
						$HoraOK2=date("H:i:s",$Hora);
						$Fecha2=date("Y/m/d");
					
					/////Vigencia de Documento
						$VigenFecha = strtotime ( '+2 day' , strtotime ( $Fecha2 ) ) ;
						$VigenFecha = date ( 'Y/m/d' , $VigenFecha );
					

					////Guarda el Registro del Documento		
						$sqlGP = "insert into tabla_docsurtido (ID,CVE_BODEGA,CVE_CUENTA,NO_DOCUMENTO,EDO_DOCUMENTO,REFERENCIA1,REFERENCIA2,TIPO_EXTRACCION,PEDIMENTO_EXTRACCION,TIPO_SALIDA,DESTINO,TIPO_SURTIDO,BACKORDER,PRIORIDAD,FECHA_CREADO,HORA_CREADO,DISPONIBILIDAD,OBSERVACIONES,FECHA_REG,HORA_REG,USUARIO_REG)
		values('$id_nuevo_Fol','$BodBodCR1','$CuentaCR1','$NoDocCSV','DETALLANDO','$Refe1CSV','$Refe2CSV','$TipExCSV','$PedExCSV','$TipSaCSV','$DestiCSV','IPA','NO','3','$Fecha2','$HoraOK2','$VigenFecha','$ObserCSV','$Fecha2','$HoraOK2','$UsuEn')";

						$resultadoGP=mysql_query($sqlGP,$conexion) or die(mysql_error());
				
		echo "<script>alert('DOCUMENTO DE SURTIDO FISCAL INTERFAZADO CORRECTAMENTE.\\nSe agregaron $CuentaRegExitosos registros al detalle del mismo.');</script>";
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=109-RegistroDocSurtidoInterfazFiscalCSV1.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";

				} ////Termina If Validad Registros Exitosos
				else
				{ ////Inicia Else Validad Registros Exitosos
				
					echo "<script>alert('Existe inconsistencia en los datos, por lo cual no se podrá continuar con el proceso.\\n\\nFavor de corroborarlo en su Respectiva Bitacora de Interfaz.');</script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=109-BitacoraDocSurtidoInterfazCSV.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
				
				} ////Termina Else Validad Registros Exitosos

		}
		////////FIN SE SUBE TODO EL ARCVHIVO CSV////////////


?>

<!-- Termina Cuerpo de la Interfaz Gráfica -->

<?PHP
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>
</body>
</html>